org.apache.lucene.queryParser.standard.processors

## Class StandardQueryNodeProcessorPipeline

- java.lang.Object
- - org.apache.lucene.queryParser.core.processors.QueryNodeProcessorPipeline
  - - org.apache.lucene.queryParser.standard.processors.StandardQueryNodeProcessorPipeline

- All Implemented Interfaces:
    QueryNodeProcessor

      public class StandardQueryNodeProcessorPipeline
      extends QueryNodeProcessorPipeline

  This pipeline has all the processors needed to process a query node tree, generated by `StandardSyntaxParser`, already assembled.
  The order they are assembled affects the results.
  This processor pipeline was designed to work with `StandardQueryConfigHandler`.
  The result query node tree can be used to build a `Query` object using `StandardQueryTreeBuilder`.
  See Also:
    `StandardQueryTreeBuilder`, `StandardQueryConfigHandler`, `StandardSyntaxParser`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardQueryNodeProcessorPipeline(QueryConfigHandler queryConfig)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.queryParser.core.processors.QueryNodeProcessorPipeline

      `addProcessor, getQueryConfigHandler, process, setQueryConfigHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardQueryNodeProcessorPipeline

          public StandardQueryNodeProcessorPipeline(QueryConfigHandler queryConfig)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.